summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2016-12-12 15:33:31 +0100
committerSven Eden <sven.eden@gmx.de>2016-12-12 15:33:31 +0100
commitd853cb284d38c5e2d8a2e3d3d9b8c83bbec01621 (patch)
tree43ea673e88942aaf7d74e5f82479c990589f9bae
parentmedia-video/avidemux-2.6.14-r1 : Based on 'mv' overlay : Fixed qt5 build. (diff)
downloadseden-d853cb284d38c5e2d8a2e3d3d9b8c83bbec01621.tar.gz
seden-d853cb284d38c5e2d8a2e3d3d9b8c83bbec01621.tar.bz2
seden-d853cb284d38c5e2d8a2e3d3d9b8c83bbec01621.zip
media-[libs|video]/avidemux* : version bump to 2.6.15
-rw-r--r--media-libs/avidemux-core/Manifest1
-rw-r--r--media-libs/avidemux-core/avidemux-core-2.6.15.ebuild123
-rw-r--r--media-libs/avidemux-core/metadata.xml14
-rw-r--r--media-libs/avidemux-plugins/Manifest1
-rw-r--r--media-libs/avidemux-plugins/avidemux-plugins-2.6.15.ebuild174
-rw-r--r--media-libs/avidemux-plugins/files/avidemux-plugins-2.6.14-optional-pulse.patch21
-rw-r--r--media-libs/avidemux-plugins/files/avidemux-plugins-2.6.4-optional-pulse.patch21
-rw-r--r--media-libs/avidemux-plugins/files/avidemux-plugins-abs.patch20
-rw-r--r--media-libs/avidemux-plugins/metadata.xml21
-rw-r--r--media-video/avidemux/Manifest2
-rw-r--r--media-video/avidemux/avidemux-2.6.15.ebuild (renamed from media-video/avidemux/avidemux-2.6.14-r1.ebuild)4
11 files changed, 399 insertions, 3 deletions
diff --git a/media-libs/avidemux-core/Manifest b/media-libs/avidemux-core/Manifest
new file mode 100644
index 0000000..9bd4b58
--- /dev/null
+++ b/media-libs/avidemux-core/Manifest
@@ -0,0 +1 @@
+DIST avidemux_2.6.15.tar.gz 19944806 SHA256 b0e59b3dc75878b0c00d9a2bc9412125e42a53a8904e64746829ce8028b52257 SHA512 42964509cb51133abe624631d07bd223a7cee9fcfd971655ce26193598a48428a2eb1ba0c43034477b60a626fd332431281217644baa82f935f4aeb945d4508a WHIRLPOOL a8ca73444a705e2459494805d13d2001002a3b5d241a09204def3a25c9053b60b4a5038fd964bf7e8b2600ae798a6f2ff7749801d6c692428ef3be3f507ddd12
diff --git a/media-libs/avidemux-core/avidemux-core-2.6.15.ebuild b/media-libs/avidemux-core/avidemux-core-2.6.15.ebuild
new file mode 100644
index 0000000..ca96375
--- /dev/null
+++ b/media-libs/avidemux-core/avidemux-core-2.6.15.ebuild
@@ -0,0 +1,123 @@
+# Copyright 2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+RESTRICT="mirror"
+
+inherit cmake-utils eutils flag-o-matic
+
+SLOT="2.6"
+
+DESCRIPTION="Core libraries for media-video/avidemux"
+HOMEPAGE="http://fixounet.free.fr/avidemux"
+
+# Multiple licenses because of all the bundled stuff.
+LICENSE="GPL-1 GPL-2 MIT PSF-2 public-domain"
+IUSE="debug nls qt5 sdl system-ffmpeg vaapi vdpau video_cards_fglrx xv"
+KEYWORDS="~amd64 ~x86"
+
+MY_PN="${PN/-core/}"
+if [[ ${PV} == *9999* ]] ; then
+ MY_P=$P
+ KEYWORDS=""
+ PROPERTIES="live"
+ EGIT_REPO_URI="git://gitorious.org/${MY_P}2-6/${MY_P}2-6.git https://git.gitorious.org/${MY_P}2-6/${MY_P}2-6.git"
+ EGIT_REPO_URI="https://github.com/mean00/${MY_P}2"
+ inherit git-r3
+else
+ MY_P="${MY_PN}_${PV}"
+ SRC_URI="mirror://sourceforge/${MY_PN}/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+
+# Trying to use virtual; ffmpeg misses aac,cpudetection USE flags now though, are they needed?
+DEPEND="
+ !<media-video/avidemux-${PV}:${SLOT}
+ dev-db/sqlite:3
+ sdl? ( media-libs/libsdl:0 )
+ system-ffmpeg? ( >=virtual/ffmpeg-9:0[mp3,theora] )
+ xv? ( x11-libs/libXv:0 )
+ vaapi? ( x11-libs/libva:0 )
+ vdpau? ( x11-libs/libvdpau:0 )
+ video_cards_fglrx? (
+ || ( >=x11-drivers/ati-drivers-14.12-r3
+ x11-libs/xvba-video:0 )
+ )"
+RDEPEND="
+ $DEPEND
+ nls? ( virtual/libintl:0 )
+"
+DEPEND="
+ $DEPEND
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+ !system-ffmpeg? ( dev-lang/yasm[nls=] )
+"
+
+S="${WORKDIR}/${MY_P}"
+BUILD_DIR="${S}/buildCore"
+
+DOCS=( AUTHORS README )
+
+src_prepare() {
+ mkdir "${BUILD_DIR}" || die "Can't create build folder."
+
+ #cmake-utils_src_prepare
+
+ if use system-ffmpeg ; then
+ # Preparations to support the system ffmpeg. Currently fails because it depends on files the system ffmpeg doesn't install.
+ local error="Failed to remove ffmpeg."
+
+ rm -rf cmake/admFFmpeg* cmake/ffmpeg* avidemux_core/ffmpeg_package buildCore/ffmpeg || die "${error}"
+ sed -i -e 's/include(admFFmpegUtil)//g' avidemux/commonCmakeApplication.cmake || die "${error}"
+ sed -i -e '/registerFFmpeg/d' avidemux/commonCmakeApplication.cmake || die "${error}"
+ sed -i -e 's/include(admFFmpegBuild)//g' avidemux_core/CMakeLists.txt || die "${error}"
+ else
+ # Avoid existing avidemux installations from making the build process fail, bug #461496.
+ sed -i -e "s:getFfmpegLibNames(\"\${sourceDir}\"):getFfmpegLibNames(\"${S}/buildCore/ffmpeg/source/\"):g" cmake/admFFmpegUtil.cmake \
+ || die "Failed to avoid existing avidemux installation from making the build fail."
+ fi
+
+ # Add lax vector typing for PowerPC.
+ if use ppc || use ppc64 ; then
+ append-cflags -flax-vector-conversions
+ fi
+
+ # See bug 432322.
+ use x86 && replace-flags -O0 -O1
+
+ if use qt5; then
+ append-cxxflags $(test-flags-CXX -std=gnu++11)
+ else
+ # Needed for gcc-6 (but incompatible with qt5!)
+ append-cxxflags $(test-flags-CXX -std=gnu++98)
+ fi
+ eapply_user
+}
+
+src_configure() {
+ local mycmakeargs
+ mycmakeargs=(
+ -DAVIDEMUX_SOURCE_DIR="'${S}'"
+ -DGETTEXT="$(usex nls)"
+ -DSDL="$(usex sdl)"
+ -DLIBVA="$(usex vaapi)"
+ -DVDPAU="$(usex vdpau)"
+ -DXVIDEO="$(usex xv)"
+ )
+
+ if use debug ; then
+ mycmakeargs+=( -DVERBOSE=1 -DCMAKE_BUILD_TYPE=Debug -DADM_DEBUG=1 )
+ fi
+
+ CMAKE_USE_DIR="${S}"/avidemux_core cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile -j1
+}
+
+src_install() {
+ # revert edit from src_prepare prior to installing
+ sed -i -e "s:getFfmpegLibNames(\"${S}/buildCore/ffmpeg/source/\"):getFfmpegLibNames(\"\${sourceDir}\"):g" cmake/admFFmpegUtil.cmake
+ cmake-utils_src_install -j1
+}
diff --git a/media-libs/avidemux-core/metadata.xml b/media-libs/avidemux-core/metadata.xml
new file mode 100644
index 0000000..422c7c7
--- /dev/null
+++ b/media-libs/avidemux-core/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>media-video@gentoo.org</email>
+ <name>Gentoo Video project</name>
+ </maintainer>
+ <use>
+ <flag name="system-ffmpeg">Use the ffmpeg provided by the system.</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">avidemux</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/media-libs/avidemux-plugins/Manifest b/media-libs/avidemux-plugins/Manifest
new file mode 100644
index 0000000..9bd4b58
--- /dev/null
+++ b/media-libs/avidemux-plugins/Manifest
@@ -0,0 +1 @@
+DIST avidemux_2.6.15.tar.gz 19944806 SHA256 b0e59b3dc75878b0c00d9a2bc9412125e42a53a8904e64746829ce8028b52257 SHA512 42964509cb51133abe624631d07bd223a7cee9fcfd971655ce26193598a48428a2eb1ba0c43034477b60a626fd332431281217644baa82f935f4aeb945d4508a WHIRLPOOL a8ca73444a705e2459494805d13d2001002a3b5d241a09204def3a25c9053b60b4a5038fd964bf7e8b2600ae798a6f2ff7749801d6c692428ef3be3f507ddd12
diff --git a/media-libs/avidemux-plugins/avidemux-plugins-2.6.15.ebuild b/media-libs/avidemux-plugins/avidemux-plugins-2.6.15.ebuild
new file mode 100644
index 0000000..c4d1cd2
--- /dev/null
+++ b/media-libs/avidemux-plugins/avidemux-plugins-2.6.15.ebuild
@@ -0,0 +1,174 @@
+# Copyright 2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+RESTRICT="mirror"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils eutils flag-o-matic python-single-r1
+
+SLOT="2.6"
+
+DESCRIPTION="Plugins for media-video/avidemux"
+HOMEPAGE="http://fixounet.free.fr/avidemux"
+
+# Multiple licenses because of all the bundled stuff.
+LICENSE="GPL-1 GPL-2 MIT PSF-2 public-domain"
+IUSE="aac aften a52 alsa amr debug dts fontconfig fribidi jack lame libsamplerate cpu_flags_x86_mmx nvenc opengl opus oss pulseaudio qt4 qt5 vorbis truetype twolame xv xvid x264 x265 vdpau vpx"
+KEYWORDS="~amd64 ~x86"
+
+MY_PN="${PN/-plugins/}"
+if [[ ${PV} == *9999* ]] ; then
+ MY_P=$P
+ KEYWORDS=""
+ PROPERTIES="live"
+ EGIT_REPO_URI="git://gitorious.org/${MY_P}2-6/${MY_P}2-6.git https://git.gitorious.org/${MY_P}2-6/${MY_P}2-6.git"
+ EGIT_REPO_URI="https://github.com/mean00/${MY_P}2"
+ inherit git-r3
+else
+ MY_P="${MY_PN}_${PV}"
+ SRC_URI="mirror://sourceforge/${MY_PN}/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+
+RDEPEND="
+ ~media-libs/avidemux-core-${PV}:${SLOT}[qt5?,vdpau?]
+ ~media-video/avidemux-${PV}:${SLOT}[opengl?,qt4?,qt5?]
+ >=dev-lang/spidermonkey-1.5-r2:0=
+ dev-libs/libxml2:2
+ media-libs/libpng:0=
+ virtual/libiconv:0
+ aac? (
+ media-libs/faac:0
+ media-libs/faad2:0
+ )
+ aften? ( media-libs/aften:0 )
+ alsa? ( >=media-libs/alsa-lib-1.0.3b-r2:0 )
+ amr? ( media-libs/opencore-amr:0 )
+ dts? ( media-libs/libdca:0 )
+ fontconfig? ( media-libs/fontconfig:1.0 )
+ fribidi? ( dev-libs/fribidi:0 )
+ jack? (
+ media-sound/jack-audio-connection-kit:0
+ libsamplerate? ( media-libs/libsamplerate:0 )
+ )
+ lame? ( media-sound/lame:0 )
+ nvenc? ( amd64? ( media-video/nvidia_video_sdk:0 ) )
+ opus? ( media-libs/opus:0 )
+ oss? ( virtual/os-headers:0 )
+ pulseaudio? ( media-sound/pulseaudio:0 )
+ truetype? ( media-libs/freetype:2 )
+ twolame? ( media-sound/twolame:0 )
+ x264? ( media-libs/x264:0= )
+ x265? ( >=media-libs/x265-1.9 )
+ xv? (
+ x11-libs/libX11:0
+ x11-libs/libXext:0
+ x11-libs/libXv:0
+ )
+ xvid? ( media-libs/xvid:0 )
+ vorbis? ( media-libs/libvorbis:0 )
+ vpx? ( media-libs/libvpx:0 )
+"
+DEPEND="$RDEPEND
+ ${PYTHON_DEPS}"
+
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="!amd64? ( !nvenc ) qt5? ( !qt4 ) "
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.6.14-optional-pulse.patch
+)
+
+src_prepare() {
+ default
+}
+
+src_configure() {
+ # Add lax vector typing for PowerPC.
+ if use ppc || use ppc64 ; then
+ append-cflags -flax-vector-conversions
+ fi
+
+ # See bug 432322.
+ use x86 && replace-flags -O0 -O1
+
+ processes="buildPluginsCommon:avidemux_plugins
+ buildPluginsCLI:avidemux_plugins"
+ if use qt4 || use qt5 ; then
+ export QT_SELECT
+ processes+=" buildPluginsQt4:avidemux_plugins"
+ fi
+
+ for process in ${processes} ; do
+ local build="${process%%:*}"
+
+ local mycmakeargs
+ mycmakeargs=(
+ -DAVIDEMUX_SOURCE_DIR="'${S}'"
+ -DPLUGIN_UI=$(echo ${build/buildPlugins/} | tr '[:lower:]' '[:upper:]')
+ -DFAAC="$(usex aac)"
+ -DFAAD="$(usex aac)"
+ -DALSA="$(usex alsa)"
+ -DAFTEN="$(usex aften)"
+ -DOPENCORE_AMRWB="$(usex amr)"
+ -DOPENCORE_AMRNB="$(usex amr)"
+ -DLIBDCA="$(usex dts)"
+ -DFONTCONFIG="$(usex fontconfig)"
+ -DJACK="$(usex jack)"
+ -DLAME="$(usex lame)"
+ -DNVENC="$(usex nvenc)"
+ -DOPUS="$(usex opus)"
+ -DOSS="$(usex oss)"
+ -DPULSEAUDIOSIMPLE="$(usex pulseaudio)"
+ -DQT4="$(usex qt4)"
+ -DFREETYPE2="$(usex truetype)"
+ -DTWOLAME="$(usex twolame)"
+ -DX264="$(usex x264)"
+ -DX265="$(usex x265)"
+ -DXVIDEO="$(usex xv)"
+ -DXVID="$(usex xvid)"
+ -DVDPAU="$(usex vdpau)"
+ -DVORBIS="$(usex vorbis)"
+ -DLIBVORBIS="$(usex vorbis)"
+ -DVPXDEC="$(usex vpx)"
+ )
+ if use qt5 ; then
+ mycmakeargs+=( -DENABLE_QT5=True )
+ export QT_SELECT=5
+ append-cxxflags $(test-flags-CXX -std=gnu++11)
+ elif use qt4 ; then
+ export QT_SELECT=4
+ # Needed for gcc-6
+ append-cxxflags $(test-flags-CXX -std=gnu++98)
+ fi
+
+ if use debug ; then
+ mycmakeargs+=( -DVERBOSE=1 -DCMAKE_BUILD_TYPE=Debug -DADM_DEBUG=1 )
+ fi
+
+ mkdir "${S}"/${build} || die "Can't create build folder."
+
+ CMAKE_USE_DIR="${S}"/${process#*:} BUILD_DIR="${S}"/${build} cmake-utils_src_configure
+ done
+}
+
+src_compile() {
+ for process in ${processes} ; do
+ BUILD_DIR="${S}/${process%%:*}" cmake-utils_src_compile
+ done
+}
+
+src_install() {
+ for process in ${processes} ; do
+ # cmake-utils_src_install doesn't respect BUILD_DIR
+ # and there sometimes is a preinstall phase present.
+ pushd "${S}/${process%%:*}" > /dev/null || die
+ grep '^preinstall/fast' Makefile && emake DESTDIR="${D}" preinstall/fast
+ grep '^install/fast' Makefile && emake DESTDIR="${D}" install/fast
+ popd > /dev/null || die
+ done
+
+ #python_fix_shebang "${D}"
+}
diff --git a/media-libs/avidemux-plugins/files/avidemux-plugins-2.6.14-optional-pulse.patch b/media-libs/avidemux-plugins/files/avidemux-plugins-2.6.14-optional-pulse.patch
new file mode 100644
index 0000000..2afc6f5
--- /dev/null
+++ b/media-libs/avidemux-plugins/files/avidemux-plugins-2.6.14-optional-pulse.patch
@@ -0,0 +1,21 @@
+--- 1/cmake/admCheckAudioDeviceLibs.cmake
++++ 1/cmake/admCheckAudioDeviceLibs.cmake
+@@ -158,6 +158,8 @@
+
+ MESSAGE(STATUS "Checking for PULSEAUDIOSIMPLE")
+ MESSAGE(STATUS "*****************************")
++
++ IF (PULSEAUDIOSIMPLE)
+ IF (PULSEAUDIOSIMPLE_INCLUDE_DIR AND PULSEAUDIOSIMPLE_LIBRARIES)
+ # in cache already
+ SET(PULSEAUDIOSIMPLE_FIND_QUIETLY TRUE)
+@@ -191,6 +193,9 @@
+ MARK_AS_ADVANCED(PULSEAUDIOSIMPLE_INCLUDE_DIR PULSEAUDIOSIMPLE_LIBRARIES)
+
+ APPEND_SUMMARY_LIST("Audio Device" "PulseAudio" "${USE_PULSE_SIMPLE}")
++ ELSE (PULSEAUDIOSIMPLE)
++ MESSAGE("${MSG_DISABLE_OPTION}")
++ ENDIF (PULSEAUDIOSIMPLE)
+ ELSE (UNIX AND NOT APPLE)
+ SET(PULSEAUDIOSIMPLE_CAPABLE FALSE)
+ ENDIF (UNIX AND NOT APPLE)
diff --git a/media-libs/avidemux-plugins/files/avidemux-plugins-2.6.4-optional-pulse.patch b/media-libs/avidemux-plugins/files/avidemux-plugins-2.6.4-optional-pulse.patch
new file mode 100644
index 0000000..78650aa
--- /dev/null
+++ b/media-libs/avidemux-plugins/files/avidemux-plugins-2.6.4-optional-pulse.patch
@@ -0,0 +1,21 @@
+--- a/cmake/admCheckAudioDeviceLibs.cmake
++++ b/cmake/admCheckAudioDeviceLibs.cmake
+@@ -158,6 +158,8 @@
+
+ MESSAGE(STATUS "Checking for PULSEAUDIOSIMPLE")
+ MESSAGE(STATUS "*****************************")
++
++ IF (PULSEAUDIOSIMPLE)
+ IF (PULSEAUDIOSIMPLE_INCLUDE_DIR AND PULSEAUDIOSIMPLE_LIBRARIES)
+ # in cache already
+ SET(PULSEAUDIOSIMPLE_FIND_QUIETLY TRUE)
+@@ -198,6 +200,9 @@
+ MARK_AS_ADVANCED(PULSEAUDIOSIMPLE_INCLUDE_DIR PULSEAUDIOSIMPLE_LIBRARIES)
+
+ APPEND_SUMMARY_LIST("Audio Device" "PulseAudio" "${USE_PULSE_SIMPLE}")
++ ELSE (PULSEAUDIOSIMPLE)
++ MESSAGE("${MSG_DISABLE_OPTION}")
++ ENDIF (PULSEAUDIOSIMPLE)
+ ELSE (UNIX AND NOT APPLE)
+ SET(PULSEAUDIOSIMPLE_CAPABLE FALSE)
+ ENDIF (UNIX AND NOT APPLE)
diff --git a/media-libs/avidemux-plugins/files/avidemux-plugins-abs.patch b/media-libs/avidemux-plugins/files/avidemux-plugins-abs.patch
new file mode 100644
index 0000000..223cc26
--- /dev/null
+++ b/media-libs/avidemux-plugins/files/avidemux-plugins-abs.patch
@@ -0,0 +1,20 @@
+--- 1/avidemux_plugins/ADM_videoFilters6/telecide/Telecide_getFrame.cpp
++++ 1/avidemux_plugins/ADM_videoFilters6/telecide/Telecide_getFrame.cpp
+@@ -240,7 +240,7 @@
+ {
+ // The chosen frame doesn't match the prediction.
+ if (predicted_metric == 0) mismatch = 0.0;
+- else mismatch = (100.0*abs(predicted_metric - lowest))/predicted_metric;
++ else mismatch = (100.0*abs(int64_t(predicted_metric) - int64_t(lowest)))/predicted_metric;
+ if (mismatch < gthresh)
+ {
+ // It's close enough, so use the predicted one.
+@@ -283,7 +283,7 @@
+ {
+ // The chosen frame doesn't match the prediction.
+ if (predicted_metric == 0) mismatch = 0.0;
+- else mismatch = (100.0*abs(predicted_metric - lowest))/predicted_metric;
++ else mismatch = (100.0*abs(int64_t(predicted_metric) - int64_t(lowest)))/predicted_metric;
+ if ((int) mismatch <= gthresh)
+ {
+ // It's close enough, so use the predicted one.
diff --git a/media-libs/avidemux-plugins/metadata.xml b/media-libs/avidemux-plugins/metadata.xml
new file mode 100644
index 0000000..44edff1
--- /dev/null
+++ b/media-libs/avidemux-plugins/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>media-video@gentoo.org</email>
+ <name>Gentoo Video project</name>
+ </maintainer>
+ <use>
+ <flag name="aften">Enable A/52 (AC-3) audio encoder support.</flag>
+ <flag name="amr">Enable Adaptive Multi-Rate format support via <pkg>media-libs/opencore-amr</pkg>.</flag>
+ <flag name="fribidi">Enable unicode bidirectional algorithm support via <pkg>dev-libs/fribidi</pkg>.</flag>
+ <flag name="nvenc">Adds support for NVIDIA Encoder (NVENC) API for hardware accelerated encoding on NVIDIA cards.</flag>
+ <flag name="opus">Adds support for the Opus codec via <pkg>media-libs/opus</pkg>.</flag>
+ <flag name="twolame">Enable TwoLAME support via <pkg>media-sound/twolame</pkg>, an optimised MPEG Audio Layer 2 (MP2) encoder.</flag>
+ <flag name="vpx">Enable WebM VP8 Codec SDK support via <pkg>media-libs/libvpx</pkg>.</flag>
+ <flag name="x265">Enables HEVC support with <pkg>media-libs/x265</pkg>.</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">avidemux</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/media-video/avidemux/Manifest b/media-video/avidemux/Manifest
index 11c93c4..9bd4b58 100644
--- a/media-video/avidemux/Manifest
+++ b/media-video/avidemux/Manifest
@@ -1 +1 @@
-DIST avidemux_2.6.14.tar.gz 19471446 SHA256 3f302ed6e011019ba20ec652090305317617483b74905f877e0e63b313ab629e SHA512 c940850df93e77b3176850cfdd7851c1e133835802a2bc979a497d825d85ca2fd394e2dc813242b9009f1b6ec2904f63163bd9afda9478be064518e4572449a1 WHIRLPOOL d600eb9dfcd47c35b2115d7d619120af52e358586a8da6cd26d37fcbc1ddfe758be1fd2a1336bb7be985a8fc06eb873cdde5f8c3a6a2c2fc6726169939a9b966
+DIST avidemux_2.6.15.tar.gz 19944806 SHA256 b0e59b3dc75878b0c00d9a2bc9412125e42a53a8904e64746829ce8028b52257 SHA512 42964509cb51133abe624631d07bd223a7cee9fcfd971655ce26193598a48428a2eb1ba0c43034477b60a626fd332431281217644baa82f935f4aeb945d4508a WHIRLPOOL a8ca73444a705e2459494805d13d2001002a3b5d241a09204def3a25c9053b60b4a5038fd964bf7e8b2600ae798a6f2ff7749801d6c692428ef3be3f507ddd12
diff --git a/media-video/avidemux/avidemux-2.6.14-r1.ebuild b/media-video/avidemux/avidemux-2.6.15.ebuild
index f519fd7..3418fa6 100644
--- a/media-video/avidemux/avidemux-2.6.14-r1.ebuild
+++ b/media-video/avidemux/avidemux-2.6.15.ebuild
@@ -31,7 +31,7 @@ else
fi
DEPEND="
- ~media-libs/avidemux-core-${PV}:${SLOT}[nls?,sdl?,vaapi?,vdpau?,video_cards_fglrx?,xv?]
+ ~media-libs/avidemux-core-${PV}:${SLOT}[nls?,qt5?,sdl?,vaapi?,vdpau?,video_cards_fglrx?,xv?]
opengl? ( virtual/opengl:0 )
qt4? ( >=dev-qt/qtgui-4.8.3:4 )
qt5? ( dev-qt/qtgui:5 )
@@ -76,7 +76,6 @@ src_configure() {
-DSDL="$(usex sdl)"
-DLIBVA="$(usex vaapi)"
-DVDPAU="$(usex vdpau)"
- -DXVBA="$(usex video_cards_fglrx)"
-DXVIDEO="$(usex xv)"
)
if use qt5 ; then
@@ -87,6 +86,7 @@ src_configure() {
elif use qt4 ; then
export QT_SELECT=4
processes+=" buildQt4:avidemux/qt4"
+ # Needed for gcc-6
append-cxxflags $(test-flags-CXX -std=gnu++98)
fi